-- Takes a list file and saves objects.con and geeomtries.con
-- usefull for if you exported a large number of static object meshes
fn SaveSpecialList_1 thisFile=
(
	f = openFile thisFile mode:"rt"
	if (f != undefined) do
	(	bufferTexLine = #()
		n=0
		while (eof f) != true do
		(	n+= 1	
			bufferTexLine[n] = readline f
		)
		close f
		
		gt = "GeometryTemplate."
					
		fout = CreateFile ( (getFilenamePath thisFile)+"Geometries.con" )
		if (fout != undefined) do
		(	dist_val = 150
			for i=1 to n do
			(
				format "%create StandardMesh %\n" gt bufferTexLine[i] to:fout	
				format "%file %\n" gt bufferTexLine[i] to:fout
				
				gt = gt + "setLodDistance "
				format "%0 %\n" gt 0 to:fout
				format "%1 %\n" gt (dist_val * 0.5) to:fout
				format "%2 %\n\n" gt dist_val to:fout
			)	
			close fout
		)
		
		fout = CreateFile ( (getFilenamePath thisFile)+"Objects.con" )
		if (fout != undefined) do
		(	gt = "ObjectTemplate."
			for i=1 to n do
			(
				format "%create SimpleObject %\n" gt bufferTexLine[i] to:fout	
				format "%geometry %\n" gt bufferTexLine[i] to:fout
				format "%setHasCollisionPhysics 1\n\n" gt to:fout
			)	
			close fout
		)
		print "--Done--"
	)

)

(
	fname = getOpenFileName caption:"ListFile open for reading" types:"All|*.*|"
	if (fname != undefined) do
		SaveSpecialList_1 fname
)